### Method

# RB ShellPlayer get_playing_path

#### Declaration [src]

    gboolean
    rb_shell_player_get_playing_path (
      RBShellPlayer* player,
      const gchar** path,
      GError** error
    )

#### Description [src]

Retrieves the URI of the current playing entry. The caller must not free the returned string.

#### Parameters

`path`

  Type: `const gchar**`

  Returns the URI of the current playing entry.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful.